### Method

# FwupdPlugin Plugin to_string

since: 1.8.4

#### Declaration [src]

    gchar*
    fu_plugin_to_string (
      FuPlugin* self
    )

#### Description [src]

This allows us to easily print the plugin metadata.

Available since: 1.8.4

#### Return value

Type: `gchar*`

A string value, or `NULL` for invalid.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.